FROM registry.access.redhat.com/ubi9/ubi:9.4-947.1714667021@sha256:ed84f34cd929ea6b0c247b6daef54dd79602804a32480a052951021caf429494

ENV DNF_OPTS="--setopt=install_weak_deps=False --setopt=tsflags=nodocs" \
    BLACK_VERSION=23.3.0 \
    FLAKE8_VERSION=6.0.0 \
    ISORT_VERSION=5.12.0 \
    PDM_VERSION=2.7.0 \
    PYLINT_VERSION=2.17.3 \
    PYTEST_VERSION=7.4.2 \
    PYTEST_COV_VERSION=4.1.0 \
    MYPY_VERSION=1.3.0 \
    BANDIT_VERSION=1.7.5

RUN dnf update -y && \
    dnf install -y ${DNF_OPTS} \
                python3-pip \
&&  dnf clean all -y

RUN pip install --no-cache-dir \
                "black==${BLACK_VERSION}" \
                "flake8==${FLAKE8_VERSION}" \
                "isort==${ISORT_VERSION}" \
                "pdm==${PDM_VERSION}" \
                "pylint==${PYLINT_VERSION}" \
                "pytest==${PYTEST_VERSION}" \
                "pytest-cov==${PYTEST_COV_VERSION}" \
                "mypy[reports]==${MYPY_VERSION}" \
                "bandit==${BANDIT_VERSION}"
